ubuntu-release-upgrader (1:26.10.3) stonking; urgency=medium

  * DistUpgradeQuirks: fix formatting and linting errors (LP: #2154724)
  * PyQtCompat: add explicit __all__ exports

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 01 Jun 2026 12:07:01 +0200

ubuntu-release-upgrader (1:26.10.2) stonking; urgency=medium

  [ Dave Jones ]
  * DistUpgradeQuirks: Fix log message when installing piboot-try

  [ Simon Johnsson ]
  * DistUpgradeQuirks: mark libfile-libmagic-perl for install on Noble if
    lintian is installed (LP: #2150319):
    - This fixes a resolver deadlock on systems with a lot of packages
      (such as having ubuntu-desktop installed) as the resolver would increase
      strictness and prefer not to install additional dependencies.

 -- Dave Jones <dave.jones@canonical.com>  Fri, 22 May 2026 11:18:21 +0200

ubuntu-release-upgrader (1:26.10.1) stonking; urgency=medium

  * Update for Stonking:
    - data/DistUpgrade.cfg: update for resolute
    - DistUpgrade: update release announcements for resolute
    - DistUpgradeVersion: set initial version for resolute

 -- Dave Jones <dave.jones@canonical.com>  Tue, 19 May 2026 00:51:00 +0200

ubuntu-release-upgrader (1:26.04.19) resolute; urgency=medium

  * DistUpgradeQuirks: On Pi installations, force the installation of
    piboot-try over flash-kernel (LP: #2151216)
  * Use PostDistUpgradeCache for this and the dracut migration on Pi to ease
    upgrade calculation

 -- Dave Jones <dave.jones@canonical.com>  Tue, 05 May 2026 11:58:10 +0100

ubuntu-release-upgrader (1:26.04.18) resolute; urgency=medium

  * test: make arm64 specific data where needed
  * test: only run test_arm64_ports_rewrite on arm64
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 22 Apr 2026 13:29:32 -0400

ubuntu-release-upgrader (1:26.04.17) resolute; urgency=medium

  [ Nick Rosbrook ]
  * DistUpgrade: do not call GLib.markup_escape_text with None (LP: #2147517)
  * Run pre-build.sh: updating mirrors.

  [ Utkarsh Gupta ]
  * DistUpgradeController: migrate arm64 sources from ports to archive on
    upgrade. (LP: #2147101)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 21 Apr 2026 09:27:14 -0400

ubuntu-release-upgrader (1:26.04.16) resolute; urgency=medium

  [ Oliver Reiche ]
  * deb2snap: update for resolute release

  [ Nick Rosbrook ]
  * Run pre-build.sh: updatte mirrors

 -- Oliver Reiche <oliver.reiche@canonical.com>  Thu, 16 Apr 2026 13:50:19 -0400

ubuntu-release-upgrader (1:26.04.15) resolute; urgency=medium

  * DistUpgradeQuirks: On Pi installations, force the installation of dracut
    to prevent over-filling smaller boot partitions (LP: #2148475)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 15 Apr 2026 15:23:54 +0100

ubuntu-release-upgrader (1:26.04.14) resolute; urgency=medium

  * DistUpgradeQuirks: Move systemd-coredump quirk from PreDistUpgradeCache
    to PostDistUpgradeCache so marks survive the apt resolver, and re-mark
    the KDE metapackage for upgrade if held back (LP: #2147255, #2147293)
  * Several fixes for the KDE frontend (LP: #2147278):
    - Fix black window by using local QEventLoop instead of
      app.exec()/app.exit() pattern that breaks under Qt6
    - Fix terminal output not auto-scrolling with new lines
    - Fix Qt6 scoped enum references (QMessageBox.Icon,
      QTextCursor.MoveOperation, Qt.WindowType, QMessageBox.StandardButton)
    - Add PyQtCompat.py shim to support both PyQt5 (24.04) and PyQt6

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 04 Apr 2026 11:57:19 -0700

ubuntu-release-upgrader (1:26.04.13) resolute; urgency=medium

  [ Erich Eickmeyer ]
  * DistUpgradeQuirks: For Kubuntu and Ubuntu Studio, switch from
    apport-core-dump-handler to systemd-coredump (LP: #2146635)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 02 Apr 2026 11:58:32 -0400

ubuntu-release-upgrader (1:26.04.12) resolute; urgency=medium

  [ Guilherme Puida Moreira ]
  * DistUpgraderQuirks: add check when upgrading RabbitMQ (LP: #2074309)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 30 Mar 2026 09:26:19 -0400

ubuntu-release-upgrader (1:26.04.11) resolute; urgency=medium

  * DistUpgradeQuirks: Fail on ancient boot EEPROM for Pi 5 (LP: #2146383)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 27 Mar 2026 14:07:24 +0000

ubuntu-release-upgrader (1:26.04.10) resolute; urgency=medium

  * DistUpgradeQuirks: Don't fail on Pi pre model 4 (LP: #2144667)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 24 Mar 2026 21:53:39 +0000

ubuntu-release-upgrader (1:26.04.9) resolute; urgency=medium

  * No change rebuild against `update-manager` (LP: #2141637)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Wed, 25 Feb 2026 12:30:25 +0100

ubuntu-release-upgrader (1:26.04.8) resolute; urgency=medium

  * DistUpgrade:
    - update links in release announcements (LP: #2120280)
    - improve lang. in release announcements (LP: #2130699)

 -- Robert Kratky <robert.kratky@canonical.com>  Wed, 11 Feb 2026 15:46:27 +0100

ubuntu-release-upgrader (1:26.04.7) resolute; urgency=medium

  * DistUpgradeQuirks: Fail on ancient boot EEPROM for Pi 4 (LP: #2130734)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 06 Feb 2026 14:51:28 +0000

ubuntu-release-upgrader (1:26.04.6) resolute; urgency=medium

  [ Simon Johnsson ]
  * DistUpgrade: prevent z13 s390x machines from upgrading
    to 26.04 or later.

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Wed, 04 Feb 2026 12:00:26 -0500

ubuntu-release-upgrader (1:26.04.5) resolute; urgency=medium

  * DistUpgrade: keep a disabled copy of .list files that could not be migrated
    (LP: #2130273)
  * DistUpgradeFetcherCore: use gpgv to verify signatures
    (LP: #2125687)
  * DistUpgrade: refuse to upgrade without unified cgroupv2 hierarchy
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 28 Jan 2026 08:18:55 -0500

ubuntu-release-upgrader (1:26.04.4) resolute; urgency=medium

  [ Kat Kuo ]
  * DistUpgrade/telemetry: Add ubuntu-insights integration

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Kat Kuo <kat.kuo@canonical.com>  Thu, 08 Jan 2026 15:31:32 -0500

ubuntu-release-upgrader (1:26.04.3) resolute; urgency=medium

  * DistUpgrade: prevent upgrades when distro-info-data is outdated
    (LP: #2128839)
  * all: clean forgotten -m references
  * DistUpgrade: do not include 'LTS' in DistUpgradeController.toVersion
    (LP: #2134446)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 09 Dec 2025 11:43:03 -0500

ubuntu-release-upgrader (1:26.04.2) resolute; urgency=medium

  * Remove depreciated '-m desktop' from the kubuntu-devel-release-
    upgrade wrapper script.

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Nov 2025 10:53:51 +0000

ubuntu-release-upgrader (1:26.04.1) resolute; urgency=medium

  * Update for Resolute:
    - data/DistUpgrade.cfg: update for resolute
    - DistUpgrade: update release announcements for resolute
    - DistUpgradeVersion: set initial version for resolute

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 15 Oct 2025 13:10:23 -0400

ubuntu-release-upgrader (1:25.10.8) questing; urgency=medium

  * DistUpgradeQuirks: remove z3fold from kernel command line on Raspberry
    Pi desktop installs (LP: #2125496)
  * DistUpgradeCache: Remove checkForNvidia; obsolete and relies on
    now-removed code in ubuntu-drivers-common (LP: #2126679)
    - d/control: Remove ubuntu-drivers-common from Build-Depends
  * RiscvProfile: Correct interpreter path to fix Lintian error

 -- Dave Jones <dave.jones@canonical.com>  Fri, 03 Oct 2025 21:46:56 +0100

ubuntu-release-upgrader (1:25.10.7) questing; urgency=medium

  [ Tim Andersson ]
  * deb2snap.json: gnome-46-2404 -> gnome-42-2204

  [ Nick Rosbrook ]
  * test: update for deb2snap.json changes
  * Run pre-build.sh: updating mirrors

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 03 Oct 2025 13:16:37 -0400

ubuntu-release-upgrader (1:25.10.6) questing; urgency=medium

  [ John Chittum ]
  * declare dependency on screen for release-upgrader-core.
    screen was seeded until Questing. (LP: #2116874)

  [ Nick Rosbrook ]
  * DistUpgradeCache: fix formatted translation strings (LP: #2109335)
  * Run pre-build.sh: updating mirrors and translations.

 -- John Chittum <john.chittum@canonical.com>  Wed, 16 Jul 2025 13:06:12 -0400

ubuntu-release-upgrader (1:25.10.5) questing; urgency=medium

  * On RISC-V check for RVA23U64 compatibility (LP: #2111715)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 03 Jun 2025 11:03:07 +0200

ubuntu-release-upgrader (1:25.10.4) questing; urgency=medium

  * setup.cfg: xml-files -> xml_files to fix FTBFS

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 03 Jun 2025 14:42:33 -0400

ubuntu-release-upgrader (1:25.10.3) questing; urgency=medium

  * data: add KeyDependencies= section for ubuntustudio-desktop-core
    (LP: #2110970)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 16 May 2025 07:56:12 -0400

ubuntu-release-upgrader (1:25.10.2) questing; urgency=medium

  * data: remove extraneous comma in data/DistUpgrade.cfg (LP: #2110594)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 16 May 2025 05:07:31 -0400

ubuntu-release-upgrader (1:25.10.1) questing; urgency=medium

  * Update for Questing:
    - DistUpgrade.cfg: update for questing
    - DistUpgrade: update release announcements for questing
    - README.devel: document how to update for new series
    - DistUpgrade: bump version
  * DistUpgradeController: exclude pre-write foreign packages from removal
    (LP: #2107657)
  * data: account for ubuntustudio-desktop-core (LP: #2104859)
  * DistUpgradeController: remove 'upgrade libc6 first' quirk (LP: #2106202)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 28 Apr 2025 16:15:35 -0400

ubuntu-release-upgrader (1:25.04.14) plucky; urgency=medium

  * deb2snap: allow use of {FROM,TO}_VERSION variables in deb2snap.json
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 07 Apr 2025 12:16:21 -0400

ubuntu-release-upgrader (1:25.04.13) plucky; urgency=medium

  * DistUpgradeKDE: fix keyPressEvent() handler (LP: #2106272)
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 04 Apr 2025 17:23:44 -0400

ubuntu-release-upgrader (1:25.04.12) plucky; urgency=medium

  * DistUpgradeQuirks: do not call snap list for TPM FDE check (LP: #2080233)
  * DistUpgradeApport: add back the sys.argv[0] override
  * DistUpgrade: fix uses of removed _expandUri
  * DistUpgradeKDE: attempt to fix remaining Qt5 -> Qt6 bugs (LP: #2095535)
    Thanks to Simon Quigley
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 04 Apr 2025 09:36:19 -0400

ubuntu-release-upgrader (1:25.04.11) plucky; urgency=medium

  * DistUpgrade: run reboot with --check-inhibitors=no (LP: #2104200)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 28 Mar 2025 15:18:10 -0400

ubuntu-release-upgrader (1:25.04.10) plucky; urgency=medium

  * DistUpgradeQuirks: make snap command failures non-fatal
    (LP: #2098899, #2080233)
  * pre-build: add PREBUILD_SKIP_TRANSLATIONS to skip translation step
  * Run pre-build.sh: updating mirrors.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 28 Mar 2025 10:30:25 -0400

ubuntu-release-upgrader (1:25.04.9) plucky; urgency=medium

  [ Heinrich Schuchardt ]
  * tests/test_end_of_life: add missing import platform (LP: #2101845)

  [ Nick Rosbrook ]
  * d/t/control: set Restrictions: allow-stderr
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 10 Mar 2025 16:11:55 -0400

ubuntu-release-upgrader (1:25.04.8) plucky; urgency=medium

  * Revert "DistUpgrade.cfg: add ubuntu-desktop-minimal to MetaPkgs"
    (LP: #2100880)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 05 Mar 2025 12:21:00 -0500

ubuntu-release-upgrader (1:25.04.7) plucky; urgency=medium

  [ Nick Rosbrook ]
  * DistUpgrade: re-work how user environment is accessed
  * DistUpgrade: fix handling when pkg in BaseMetaPkgs is not in cache
    (LP: #2083575)
  * DistUpgrade: ensure relevant metapackages are installed at start
  * DistUpgrade.cfg: add ubuntu-desktop-minimal to MetaPkgs
  * DistUpgrade: use gpg --verify instead of apt-key
  * Run pre-build.sh: updating mirrors and translations.

  [ Erich Eickmeyer ]
  * Port of QTextOption and QMessageBox for PyQt6 (LP: #2095535)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 20 Feb 2025 15:32:21 -0500

ubuntu-release-upgrader (1:25.04.6) plucky; urgency=medium

  * all: replace remaining uses of lsb_release
  * DistUpgrade: define From= as list of supported upgrade paths (LP: #2075969)
  * DistUpgradeCache: remove remaining aufs logic
  * DistUpgradeApport: fix call to apport_excepthook (LP: #2096824)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 06 Feb 2025 15:38:50 -0500

ubuntu-release-upgrader (1:25.04.5) plucky; urgency=medium

  * DistUpgradeQuirks: install linux-sysctl-defaults on upgrade from oracular
    (LP: #2089759)
  * data: add DistUpgrade.cfg.noble
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 22 Jan 2025 11:44:42 -0500

ubuntu-release-upgrader (1:25.04.4) plucky; urgency=medium

  * Partially revert "DistUpgrade: remove --mode flag" (LP: #2092761)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 21 Jan 2025 13:30:27 -0500

ubuntu-release-upgrader (1:25.04.3) plucky; urgency=medium

  * DistUpgradeQuirks: refresh snaps at very end of upgrade (LP: #2083942)
  * DistUpgradeController: remove extra argument to view.confirmChanges
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 14 Jan 2025 15:35:54 -0500

ubuntu-release-upgrader (1:25.04.2) plucky; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * DistUpgrade: refresh announcements with more up-to-date means of communications
    (LP: #2084159)

  [ Nick Rosbrook ]
  * DistUpgrade: remove ValidOrigin config option
  * DistUpgrade: warn about foreign packages after rewriting sources
  * DistUpgrade: remove _expandUri from fetcher
  * DistUpgrade: handle common apt source errors during rewrite
  * test: ensure suites and components are always sorted
  * DistUpgrade: remove unnecessary DistUpgradeController.useNetwork attribute
  * all: do not track demotions
  * DistUpgrade: remove dead cdrom adapter code
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 20 Dec 2024 10:30:02 -0500

ubuntu-release-upgrader (1:25.04.1) plucky; urgency=medium

  * Welcome to the Plucky Puffin!
  * Port the KDE frontend to Qt 6.
  * Run wrap-and-sort.
  * Update Standards-version to 4.7.0, no changes needed.
  * Update to debhelper 13.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 11:00:52 -0500

ubuntu-release-upgrader (1:24.10.13) oracular; urgency=medium

  * deb2snap: change thunderbird metapkg to ubuntu-desktop (LP: #2083616)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 03 Oct 2024 10:22:55 -0400

ubuntu-release-upgrader (1:24.10.12) oracular; urgency=medium

  * DistUpgrade: do not offer snap revert suggestion (LP: #2083522)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 02 Oct 2024 10:54:12 -0400

ubuntu-release-upgrader (1:24.10.11) oracular; urgency=medium

  [ Nick Rosbrook ]
  * deb2snap: update for oracular release (LP: #2083311)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Chris Peterson ]
  * DistUpgradeQuirks: add hook to disable kdump-tools (LP: #2083455)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 01 Oct 2024 21:03:18 -0400

ubuntu-release-upgrader (1:24.10.10) oracular; urgency=medium

  * Revert "DistUpgradeQuirks: prevent upgrades if zfs module is loaded"
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 20 Sep 2024 16:38:35 -0400

ubuntu-release-upgrader (1:24.10.9) oracular; urgency=medium

  * Ensure that we remove only the right obsolete packages, specifically
    not kernel packages  (LP: #2078720):
    - Revert back to old obsolete logic if new one fails
    - Force obsolete removals on non-foreign packages
    - Consistently check that we do not remove protected obsolete packages
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2024 21:11:05 +0200

ubuntu-release-upgrader (1:24.10.8) oracular; urgency=medium

  * DistUpgrade: handle cache key error when removing obsolete packages
    (LP: #2077358)
  * DistUpgradeQuirks: prevent upgrades if zfs module is loaded
  * deb2snap: switch snap-store and firmware-updater tracks (LP: #2077344)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 23 Aug 2024 09:22:42 -0400

ubuntu-release-upgrader (1:24.10.7) oracular; urgency=medium

  [ Tobias Heider ]
  * Fix typo in force_obsoletes. (LP: #2076913)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 13 Aug 2024 10:56:29 -0400

ubuntu-release-upgrader (1:24.10.6) oracular; urgency=medium

  * DistUpgrade: show a message about denied package removals
    (LP: #2073278)
  * data: add cryptsetup-initramfs to removal_denylist.cfg
    (LP: #2067622)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 06 Aug 2024 16:48:41 -0400

ubuntu-release-upgrader (1:24.10.5) oracular; urgency=medium

  [ Nick Rosbrook ]
  * Only rewrite deb822 sources on upgrade
    - DistUpgradeController: migrate to deb822 before updating sources
    - DistUpgrade: don't make Deb822SourceEntry import conditional
    - DistUpgrade: only leave comment in sources.list if we migrated it
    - DistUpgrade: handle deb822 migration rollback on abort
    - DistUpgrade: clean up backup sources
  * Remove dead code
    - DistUpgradeQuirks: remove unused quirks
    - test: remove unused interactive_fetch_release_upgrader.py
    - DistUpgrade: remove old and unused DistUpgradePatcher
    - DistUpgrade: remove unused zz-update-grub
    - DistUpgrade: remove apt_clone.py symlink
    - DistUpgrade: remove imported/invoke-rc.d.diff
    - DistUpgradeController: remove .list update/re-write functions
    - DistUpgradeController: remove unused distro.py import and symlink
    - DistUpgrade: remove DistUpgradeQuirks.run
    - DistUpgrade: remove un-used PreRequists logic
    - all: remove unused config and test data
    - all: remove unused imports
    - DistUpgradeCache: remove unused methods and variables
  * DistUpgrade: fix several typos of 'upgrade'
  * DistUpgradeController: fix attribute typos
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Julian Andres Klode ]
  * Move the actiongroup out of the obsoletes loop
  * Reimplement obsolete removal with resolve_by_keep (LP: #1874272)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 11 Jul 2024 15:04:57 -0400

ubuntu-release-upgrader (1:24.10.4) oracular; urgency=medium

  * DistUpgrade: drop quirk for systems with BIOS and XFS /boot (LP: #2067886)
  * DistUpgrade: use tempfile for apt extended_states during simulation
    (LP: #2067585)
  * DistUpgradeQuirks: drop t64 replacement quirk
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 05 Jun 2024 16:58:21 -0400

ubuntu-release-upgrader (1:24.10.3) oracular; urgency=medium

  [ Nick Rosbrook ]
  * tests: fix un-templated expected ubuntu.sources
  * DistUpgradeQuirks: prevent upgrades of TPM FDE desktops (LP: #2065229)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Dave Jones ]
  * New quirk to add KMS overlay on Pi Server images (LP: #2065051)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 09 May 2024 15:29:17 -0400

ubuntu-release-upgrader (1:24.10.2) oracular; urgency=medium

  * data/release-upgrades: set Prompt=normal for oracular
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 06 May 2024 15:26:36 -0400

ubuntu-release-upgrader (1:24.10.1) oracular; urgency=medium

  * Update for oracular
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 06 May 2024 10:26:52 -0400

ubuntu-release-upgrader (1:24.04.17) noble; urgency=medium

  [ Nick Rosbrook ]
  * Revert "DistUpgrade.cfg.jammy: keep {netfilter,iptables}-persistent installed"
  * DistUpgradeQuirks: keep {netfilter,iptables}-persistent instead of ufw
    (LP: #2061891)

  [ Julian Andres Klode ]
  * DistUpgrade.cfg.jammy: Add systemd-resolved to PostUpgradeInstall
    (LP: #2063464)
  * Transition the automatically installed bit to t64 libraries, and
    do not write automatically installed bit in simulation (LP: #2064090)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Apr 2024 16:26:40 +0200

ubuntu-release-upgrader (1:24.04.16) noble; urgency=medium

  [ Nathan Pratta Teodosio ]
  * DistUpgrade: readfp was replaced by read_file in configparser.
    (LP: #2062435)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 19 Apr 2024 15:44:24 -0400

ubuntu-release-upgrader (1:24.04.15) noble; urgency=medium

  * DistUpgrade.cfg.jammy: keep {netfilter,iptables}-persistent installed
    (LP: #2061891)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 17 Apr 2024 17:10:33 -0400

ubuntu-release-upgrader (1:24.04.14) noble; urgency=medium

  [ Brian Murray ]
  * Set prompt to lts because 24.04 is one (LP: #2061214)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: tell apport to ignore update-apt-xapian-index
    (LP: #2058227)
  * DistUpgradeQuirk: fix check for linux-image-raspi in cache (LP: #2061181)
  * DistUpgradeQuirks: handle t64 replacement packages (LP: #2061175)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 15 Apr 2024 15:02:26 -0400

ubuntu-release-upgrader (1:24.04.13) noble; urgency=medium

  * DistUpgradeQuirks: add quirk to remove gpg-wks-server (LP: #2060578)
  * DistUpgradeQuirks: prevent upgrades on armhf running raspi kernels
    (LP: #2060220)
  * debian: fix SyntaxWarning in apport hook
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 11 Apr 2024 18:10:33 -0400

ubuntu-release-upgrader (1:24.04.12) noble; urgency=medium

  [ Calvin Mwadime Makokha ]
  * fix(regex): fix invalid escape sequence error (LP: #2053038)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 02 Apr 2024 11:01:32 -0400

ubuntu-release-upgrader (1:24.04.11) noble; urgency=medium

  * test: fix typo assertEqaul (LP: #2059784)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 29 Mar 2024 10:49:09 -0400

ubuntu-release-upgrader (1:24.04.10) noble; urgency=medium

  * DistUpgrade: rewrite any deb822 sources even if sources.list still used
    (LP: #2058938)
  * DistUpgradeQuirks: re-enable tracker-extract-3 quirk (LP: #2049907)
  * DistUpgrade: fix allowance of third-party mirrors for deb822 sources
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 28 Mar 2024 16:38:56 -0400

ubuntu-release-upgrader (1:24.04.9) noble; urgency=medium

  * Revert "tests: fix some more deb822 tests"
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 14 Mar 2024 14:18:50 -0400

ubuntu-release-upgrader (1:24.04.8) noble; urgency=medium

  * tests: fix some more deb822 tests
  * DistUpgrade: include universe and multiverse in default components
    (LP: #2055720)
  * DistUpgrade: remove whitespace in DistUpgraceController.py
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 07 Mar 2024 15:57:06 -0500

ubuntu-release-upgrader (1:24.04.7) noble; urgency=medium

  * Fix some more test data for ports

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 17:11:03 +0100

ubuntu-release-upgrader (1:24.04.6) noble; urgency=medium

  * Fix test-case for deb822 on ports

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 10:04:44 +0100

ubuntu-release-upgrader (1:24.04.5) noble; urgency=medium

  * Bump the Build-Depends on python-apt to 2.7.5
  * Various fixes for the test suite (LP: #2051590)
    - tests: Update expected results for formatting changes in 2.7.5
    - DistUpgradeQuirks: Fix unused local variable 'e'
    - Adjust test for deb822 source merging in python-apt 2.7.5
    - Use isinstance() to check object types rather than type(...) == ..

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Feb 2024 21:02:33 +0100

ubuntu-release-upgrader (1:24.04.4) noble; urgency=medium

  * DistUpgrade: re-enable migration to deb822 on upgrade
  * DistUpgrade: configure apt to install phased updates during upgrade (LP: #2045784)
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 05 Jan 2024 15:38:49 -0500

ubuntu-release-upgrader (1:24.04.3) noble; urgency=medium

  * DistUpgradeQuirk: do not use XFS /boot quirk for arm64 UEFI
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Sun, 05 Nov 2023 01:47:58 -0400

ubuntu-release-upgrader (1:24.04.2) noble; urgency=medium

  * DistUpgradeQuirks: prevent upgrades on some systems with XFS /boot
    (LP: #2039172)
  * DistUpgradeQuirks: fix whitespace
  * DistUpgrade: indicate that noble is LTS in release annoucement
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Sat, 04 Nov 2023 15:30:36 -0400

ubuntu-release-upgrader (1:24.04.1) noble; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * Update for noble
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 26 Oct 2023 15:23:52 -0400

ubuntu-release-upgrader (1:23.10.12) mantic; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Adjustments of unreadable text workaround (LP: #2039356)

  [ Nick Rosbrook ]
  * Temporarily revert "do-release-upgrade: pass XDG_CURRENT_DESKTOP env var"
    to unblock other fixes.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 16 Oct 2023 16:49:53 -0400

ubuntu-release-upgrader (1:23.10.11) mantic; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * tests: use di.stable() instead of di.devel()
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 12 Oct 2023 10:46:33 -0400

ubuntu-release-upgrader (1:23.10.10) mantic; urgency=medium

  * Fix failing autopkgtest due to PEP8 line to long issue.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Oct 2023 04:48:13 -0700

ubuntu-release-upgrader (1:23.10.9) mantic; urgency=medium

  [ Tim Andersson ]
  * fix: stop TypeError traceback in DistUpgradeQuirks:_set_generic_font
    (LP: #2038900)

  [ Brian Murray ]
  * Run pre-build.sh: updating po files, mirrors, and demotions.

  [ Gunnar Hjalmarsson ]
  * Temporary font for Ubuntu MATE (LP: #2034986)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 10 Oct 2023 11:48:56 -0400

ubuntu-release-upgrader (1:23.10.8) mantic; urgency=medium

  * deb2snap.json: bump core20 to core22.
  * deb2snap.json: add firmware-updater as a seeded snap.
  * tests/test_quirks.py: update tests to reflect the core22 bump.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 04 Oct 2023 16:56:15 +0530

ubuntu-release-upgrader (1:23.10.7) mantic; urgency=medium

  * DistUpgradeQuirks: Use generic font temporarily at upgrade
    (LP: #2034986)
  * DistUpgradeQuirks: Switch snap channels instead of refresh
    (LP: #2036765)
  * DistUpgradeController: Ensure security archive is used for security pocket
    (LP: #2036679)
  * Run pre-build.sh: updating mirrors and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 29 Sep 2023 14:44:34 -0400

ubuntu-release-upgrader (1:23.10.6) mantic; urgency=medium

  * DistUpgrade: do not migrate to deb822 by default (LP: #2036288)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 15 Sep 2023 16:07:26 -0400

ubuntu-release-upgrader (1:23.10.5) mantic; urgency=medium

  * Do not embed keyring in ubuntu.sources (LP: #2029142):
    - DistUpgradeController: do not embed keyring in ubuntu.sources
    - test: do not expect embedded keyring in ubuntu.sources
  * test: fix deb822 tests on port arches
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 02 Aug 2023 11:27:57 -0400

ubuntu-release-upgrader (1:23.10.4) mantic; urgency=medium

  * DistUpgradeController: migrate to deb822 sources on upgrade
  * test: add TestDeb822SourcesUpdate to test deb822 source rewrite
  * test: add unit test for migration to deb822 sources
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 28 Jul 2023 14:07:26 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-distupgrade`.
